<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:40 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SessionContext (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SessionContext (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":9,"i23":9,"i24":9,"i25":9,"i26":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SessionContext.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/ApplicationContext.html" title="class in io.mosip.registration.context"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/context/SessionContext.html" target="_top">Frames</a></li>
<li><a href="SessionContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.context</div>
<h2 title="Class SessionContext" class="title">Class SessionContext</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.context.SessionContext</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SessionContext</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class for SessionContext details</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sravya Surampalli</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context">SessionContext.UserContext</a></span></code>
<div class="block">class for User context</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto">AuthTokenDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#authTokenDTO--">authTokenDTO</a></span>()</code>
<div class="block">Reading authTokenDTO from sessioncontext</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#destroySession--">destroySession</a></span>()</code>
<div class="block">destroys the session</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/UUID.html?is-external=true" title="class or interface in java.util">UUID</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getId--">getId</a></span>()</code>
<div class="block">Getter for id</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getIdealTime--">getIdealTime</a></span>()</code>
<div class="block">Getter for idealTime</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/context/SessionContext.html" title="class in io.mosip.registration.context">SessionContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getInstance--">getInstance</a></span>()</code>
<div class="block">making sessionContext as singleton</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getLoginTime--">getLoginTime</a></span>()</code>
<div class="block">Getter for loginTime</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getMapObject--">getMapObject</a></span>()</code>
<div class="block">Getter for mapObject</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getRefreshedLoginTime--">getRefreshedLoginTime</a></span>()</code>
<div class="block">Getter for refreshedLoginTime</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getTimeoutInterval--">getTimeoutInterval</a></span>()</code>
<div class="block">Getter for timeoutInterval</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context">SessionContext.UserContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#getUserContext--">getUserContext</a></span>()</code>
<div class="block">Getter for userContext</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#idealTime--">idealTime</a></span>()</code>
<div class="block">Reading idealTime from sessioncontext</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#isSessionContextAvailable--">isSessionContextAvailable</a></span>()</code>
<div class="block">Reading isSessionContextAvailable from sessioncontext</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#loginTime--">loginTime</a></span>()</code>
<div class="block">Reading loginTime from sessioncontext</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#map--">map</a></span>()</code>
<div class="block">Reading map from sessioncontext</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#refreshedLoginTime--">refreshedLoginTime</a></span>()</code>
<div class="block">Reading refreshedLoginTime from sessioncontext</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setAuthTokenDTO-io.mosip.registration.dto.AuthTokenDTO-">setAuthTokenDTO</a></span>(<a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto">AuthTokenDTO</a>&nbsp;authTokenDTO)</code>
<div class="block">Setting authTokenDTO to sessionContext</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setId-java.util.UUID-">setId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/UUID.html?is-external=true" title="class or interface in java.util">UUID</a>&nbsp;id)</code>
<div class="block">Setter for id</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setIdealTime-long-">setIdealTime</a></span>(long&nbsp;idealTime)</code>
<div class="block">Setter for idealTime</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setLoginTime-java.util.Date-">setLoginTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;loginTime)</code>
<div class="block">Setter for loginTime</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setMapObject-java.util.Map-">setMapObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;mapObject)</code>
<div class="block">Setter for mapObject</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setRefreshedLoginTime-long-">setRefreshedLoginTime</a></span>(long&nbsp;refreshedLoginTime)</code>
<div class="block">Setter for refreshedLoginTime</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#setTimeoutInterval-long-">setTimeoutInterval</a></span>(long&nbsp;timeoutInterval)</code>
<div class="block">Setter for timeoutInterval</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#timeoutInterval--">timeoutInterval</a></span>()</code>
<div class="block">Reading timeoutInterval from sessioncontext</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context">SessionContext.UserContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#userContext--">userContext</a></span>()</code>
<div class="block">Reading userContext from sessioncontext</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#userId--">userId</a></span>()</code>
<div class="block">Reading userId from sessioncontext</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#userMap--">userMap</a></span>()</code>
<div class="block">Reading userMap from sessioncontext</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/context/SessionContext.html#userName--">userName</a></span>()</code>
<div class="block">Reading userName from sessioncontext</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/context/SessionContext.html" title="class in io.mosip.registration.context">SessionContext</a>&nbsp;getInstance()</pre>
<div class="block">making sessionContext as singleton</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>sessionContext</dd>
</dl>
</li>
</ul>
<a name="map--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>map</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;map()</pre>
<div class="block">Reading map from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>map</dd>
</dl>
</li>
</ul>
<a name="userContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userContext</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context">SessionContext.UserContext</a>&nbsp;userContext()</pre>
<div class="block">Reading userContext from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>userContext</dd>
</dl>
</li>
</ul>
<a name="userMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userMap</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;userMap()</pre>
<div class="block">Reading userMap from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>userMap</dd>
</dl>
</li>
</ul>
<a name="refreshedLoginTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshedLoginTime</h4>
<pre>public static&nbsp;long&nbsp;refreshedLoginTime()</pre>
<div class="block">Reading refreshedLoginTime from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>refreshedLoginTime</dd>
</dl>
</li>
</ul>
<a name="loginTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loginTime</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;loginTime()</pre>
<div class="block">Reading loginTime from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>loginTime</dd>
</dl>
</li>
</ul>
<a name="timeoutInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeoutInterval</h4>
<pre>public static&nbsp;long&nbsp;timeoutInterval()</pre>
<div class="block">Reading timeoutInterval from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>timeoutInterval</dd>
</dl>
</li>
</ul>
<a name="idealTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>idealTime</h4>
<pre>public static&nbsp;long&nbsp;idealTime()</pre>
<div class="block">Reading idealTime from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>idealTime</dd>
</dl>
</li>
</ul>
<a name="setAuthTokenDTO-io.mosip.registration.dto.AuthTokenDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthTokenDTO</h4>
<pre>public static&nbsp;void&nbsp;setAuthTokenDTO(<a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto">AuthTokenDTO</a>&nbsp;authTokenDTO)</pre>
<div class="block">Setting authTokenDTO to sessionContext</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authTokenDTO</code> - DTO for auth token</dd>
</dl>
</li>
</ul>
<a name="authTokenDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>authTokenDTO</h4>
<pre>public static&nbsp;<a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto">AuthTokenDTO</a>&nbsp;authTokenDTO()</pre>
<div class="block">Reading authTokenDTO from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>authTokenDTO</dd>
</dl>
</li>
</ul>
<a name="userId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userId</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userId()</pre>
<div class="block">Reading userId from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>userId</dd>
</dl>
</li>
</ul>
<a name="userName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userName</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName()</pre>
<div class="block">Reading userName from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>userName</dd>
</dl>
</li>
</ul>
<a name="isSessionContextAvailable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSessionContextAvailable</h4>
<pre>public static&nbsp;boolean&nbsp;isSessionContextAvailable()</pre>
<div class="block">Reading isSessionContextAvailable from sessioncontext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/UUID.html?is-external=true" title="class or interface in java.util">UUID</a>&nbsp;getId()</pre>
<div class="block">Getter for id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>id</dd>
</dl>
</li>
</ul>
<a name="setId-java.util.UUID-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/UUID.html?is-external=true" title="class or interface in java.util">UUID</a>&nbsp;id)</pre>
<div class="block">Setter for id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - session id</dd>
</dl>
</li>
</ul>
<a name="getUserContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserContext</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context">SessionContext.UserContext</a>&nbsp;getUserContext()</pre>
<div class="block">Getter for userContext</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>userContext</dd>
</dl>
</li>
</ul>
<a name="getLoginTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoginTime</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;getLoginTime()</pre>
<div class="block">Getter for loginTime</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>loginTime</dd>
</dl>
</li>
</ul>
<a name="setLoginTime-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoginTime</h4>
<pre>public&nbsp;void&nbsp;setLoginTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;loginTime)</pre>
<div class="block">Setter for loginTime</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>loginTime</code> - time of login</dd>
</dl>
</li>
</ul>
<a name="getRefreshedLoginTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefreshedLoginTime</h4>
<pre>public&nbsp;long&nbsp;getRefreshedLoginTime()</pre>
<div class="block">Getter for refreshedLoginTime</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>refreshedLoginTime</dd>
</dl>
</li>
</ul>
<a name="setRefreshedLoginTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefreshedLoginTime</h4>
<pre>public&nbsp;void&nbsp;setRefreshedLoginTime(long&nbsp;refreshedLoginTime)</pre>
<div class="block">Setter for refreshedLoginTime</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refreshedLoginTime</code> - time of login when to refresh</dd>
</dl>
</li>
</ul>
<a name="getTimeoutInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeoutInterval</h4>
<pre>public&nbsp;long&nbsp;getTimeoutInterval()</pre>
<div class="block">Getter for timeoutInterval</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>timeoutInterval</dd>
</dl>
</li>
</ul>
<a name="setTimeoutInterval-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeoutInterval</h4>
<pre>public&nbsp;void&nbsp;setTimeoutInterval(long&nbsp;timeoutInterval)</pre>
<div class="block">Setter for timeoutInterval</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeoutInterval</code> - time for logout</dd>
</dl>
</li>
</ul>
<a name="getIdealTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdealTime</h4>
<pre>public&nbsp;long&nbsp;getIdealTime()</pre>
<div class="block">Getter for idealTime</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>idealTime</dd>
</dl>
</li>
</ul>
<a name="setIdealTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIdealTime</h4>
<pre>public&nbsp;void&nbsp;setIdealTime(long&nbsp;idealTime)</pre>
<div class="block">Setter for idealTime</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idealTime</code> - ideal time</dd>
</dl>
</li>
</ul>
<a name="getMapObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapObject</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getMapObject()</pre>
<div class="block">Getter for mapObject</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapObject</dd>
</dl>
</li>
</ul>
<a name="setMapObject-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapObject</h4>
<pre>public&nbsp;void&nbsp;setMapObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;mapObject)</pre>
<div class="block">Setter for mapObject</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapObject</code> - session map</dd>
</dl>
</li>
</ul>
<a name="destroySession--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroySession</h4>
<pre>public static&nbsp;void&nbsp;destroySession()</pre>
<div class="block">destroys the session</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SessionContext.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/ApplicationContext.html" title="class in io.mosip.registration.context"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/context/SessionContext.UserContext.html" title="class in io.mosip.registration.context"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/context/SessionContext.html" target="_top">Frames</a></li>
<li><a href="SessionContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
